var chai_1 = require('chai');
var child_process_1 = require('child_process');
var path_1 = require('path');
var typescript_node_1 = require('./typescript-node');
var BIN_PATH = path_1.join(__dirname, '../dist/bin/ts-node');
var compiler = typescript_node_1.register();
describe('ts-node', function () {
    it('should execute cli', function (done) {
        child_process_1.exec("node " + BIN_PATH + " " + path_1.join(__dirname, '../tests/hello-world'), function (err, stdout) {
            chai_1.expect(err).to.not.exist;
            chai_1.expect(stdout).to.equal('Hello, world!\n');
            return done();
        });
    });
    it('should be able to require typescript', function () {
        var m = require('../tests/module');
        chai_1.expect(m.example()).to.be.true;
    });
});
//# sourceMappingURL=typescript-node.spec.js.map